Bug 90423 - UI: Crash on exit after Tools Macros Organise Dialogs
Summary: UI: Crash on exit after Tools Macros Organise Dialogs
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.1.2 release
Hardware: x86-64 (AMD64) All
: high major
Assignee: Caolán McNamara
QA Contact:
URL:
Whiteboard: target:5.0.0 target:4.4.3
Keywords: bibisected, bisected, haveBacktrace, regression
Depends on:
Blocks:
 
Reported: 2015-04-02 23:24 UTC by Gordo
Modified: 2015-12-17 08:51 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
backtrace (11.69 KB, text/plain)
2015-04-02 23:24 UTC, Gordo
Details
bt with debug symbols (master sources) (5.67 KB, text/plain)
2015-04-03 21:32 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gordo 2015-04-02 23:24:54 UTC
Created attachment 114570 [details]
backtrace

1. New Text Document.
2. Tools -> Macros -> Organise Dialogs -> Close.
3. Exit LO.
Result:
Crash

Version: 4.4.2.2
Build ID: c4c7d32d0d49397cad38d62472b0bc8acff48dd6
Comment 1 raal 2015-04-03 07:57:23 UTC
I can confirm with LO 4.4.1.2, win7
 Název události problému:	APPCRASH
  Název aplikace:	soffice.bin
  Verze aplikace:	4.4.1.2
  Název chybného modulu:	fwklo.dll
  Verze chybného modulu:	4.4.1.2


not writer specific -> component Libreoffice
Comment 2 Julien Nabet 2015-04-03 21:32:17 UTC
Created attachment 114600 [details]
bt with debug symbols (master sources)

On pc Debian x86-64 with master sources updated today, I could reproduce this.
Comment 3 Matthew Francis 2015-04-04 10:44:44 UTC
I can reproduce this from Writer (but not from the start centre) starting from the below commit.
Adding Cc: to caolanm@redhat.com; Could you possibly take a look at this? Thanks

    commit fa16d060236346beb80ecb3596186ae9df469432
    Author:     Caolán McNamara <caolanm@redhat.com>
    AuthorDate: Wed Oct 1 20:57:33 2014 +0100
    Commit:     Caolán McNamara <caolanm@redhat.com>
    CommitDate: Thu Oct 2 09:14:49 2014 +0100
    
        coverity#705707 Resource leak
    
        and
    
        coverity#705706 Resource leak
    
        Change-Id: Ia18954acb430464c94c5dd608abf9d6e8214058a
Comment 4 Commit Notification 2015-04-09 11:29:51 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0cd2bf10fb4be5423e1386aa427c61ed4a33ef34

Resolves: tdf#90423 too risky to dlclose basctl once opened

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2015-04-09 12:27:49 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=38edb91c840c4c109024c578da0aededdcd8dfca&h=libreoffice-4-4

Resolves: tdf#90423 too risky to dlclose basctl once opened

It will be available in 4.4.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Robinson Tryon (qubit) 2015-12-17 08:51:33 UTC
Migrating Whiteboard tags to Keywords: (bibisected)
[NinjaEdit]